<template functional>
  <div
    :ref="data.ref"
    title="Regresar al Inicio"
    class="flex-shrink-0 z-50"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <g-link to="/" aria-label="Regresar al Inicio">
      <g-image
        class="h-12 w-auto"
        :src="props.image"
        :alt="props.description"
        immediate="true"
      />
    </g-link>
  </div>
</template>

<script>
export default {
  name: 'NavbarBrandLogo',
  props: {
    image: { type: Object, required: true },
    description: { type: String, required: true },
  },
};
</script>
